View Issue Details

IDProjectCategoryView StatusLast Update
15474Bug reports[All Projects] User / Groups / Rolespublic2019-11-11 10:56
Reportereddylackmann Assigned Toeddylackmann  
PrioritynoneSeveritymajor 
Status closedResolutionfixed 
Product Version4.0.0-RC6 
Target VersionFixed in Version 
Summary15474: Export user (Export CSV) doesn't work on User management panel
Description

Nothing happen if you click on "Eport (CSV)" on user Admin Panel.

The Function "Export" is not implemented

Steps To Reproduce
  • Go to Configuration
  • Click on "Manage Survey Administrators"
  • Click on "Export (CSV)"
TagsNo tags attached.
Complete LimeSurvey version number (& build)Version 4.0.0-RC6
I will donate to the project if issue is resolvedNo
Browser
Database & DB-Versionmysql / 423
Server OS (if known)
Webserver software & version (if known)
PHP Version7.2

Activities

eddylackmann

eddylackmann

2019-10-29 12:07

developer  

Export.JPG (43,628 bytes)
Export.JPG (43,628 bytes)
ollehar

ollehar

2019-11-01 10:31

administrator   ~54308

Hm, what's the thought about the JSON in the modal?



Selection_903.png (15,650 bytes)
Selection_903.png (15,650 bytes)
ollehar

ollehar

2019-11-01 10:32

administrator   ~54309

Export is done in Latin-3 - should be UTF-8?

ollehar

ollehar

2019-11-01 10:34

administrator   ~54310

Can't properly export shown username to Latin 3 (CSV). ;)



Selection_904.png (22,017 bytes)
Selection_904.png (22,017 bytes)
eddylackmann

eddylackmann

2019-11-01 13:53

developer   ~54322

Fixed

ollehar

ollehar

2019-11-04 10:17

administrator   ~54384

Should it also be possible to import the exported users?

eddylackmann

eddylackmann

2019-11-04 10:18

developer   ~54385

@ollehar i m working on it !!!!!!!!

ollehar

ollehar

2019-11-04 10:25

administrator   ~54386

Hooray!

lime_release_bot

lime_release_bot

2019-11-11 10:56

administrator   ~54506

Fixed in Release 4.0.0-RC7+191111

Issue History

Date Modified Username Field Change
2019-10-29 12:02 eddylackmann New Issue
2019-10-29 12:07 eddylackmann File Added: Export.JPG
2019-10-29 16:44 eddylackmann Assigned To => eddylackmann
2019-10-29 16:44 eddylackmann Status new => assigned
2019-10-29 16:47 eddylackmann Status assigned => testing
2019-11-01 10:31 ollehar File Added: Selection_903.png
2019-11-01 10:31 ollehar Note Added: 54308
2019-11-01 10:32 ollehar Note Added: 54309
2019-11-01 10:34 ollehar File Added: Selection_904.png
2019-11-01 10:34 ollehar Note Added: 54310
2019-11-01 10:41 ollehar File Added: Selection_906.png
2019-11-01 10:41 ollehar File Added: Selection_905.png
2019-11-01 10:48 ollehar File Deleted: Selection_906.png
2019-11-01 10:48 ollehar File Deleted: Selection_905.png
2019-11-01 13:53 eddylackmann Status testing => resolved
2019-11-01 13:53 eddylackmann Resolution open => fixed
2019-11-01 13:53 eddylackmann Note Added: 54322
2019-11-01 17:26 c_schmitz Category User/User groups => User / Groups / Roles
2019-11-04 10:17 ollehar Note Added: 54384
2019-11-04 10:17 ollehar Status resolved => feedback
2019-11-04 10:17 ollehar Resolution fixed => reopened
2019-11-04 10:18 eddylackmann Note Added: 54385
2019-11-04 10:25 ollehar Note Added: 54386
2019-11-11 10:56 lime_release_bot Note Added: 54506
2019-11-11 10:56 lime_release_bot Status feedback => closed
2019-11-11 10:56 lime_release_bot Resolution reopened => fixed